Jump to content

Archived

This topic is now archived and is closed to further replies.

tramway

Mise à jour de mandrake 10.0 vers 10.1 official

Recommended Posts

Mandrake 10.1 official est sortie. je pense qu'il va y'avoir pas mal de question de la façon de passer de la 10.0 à la 10.1. Précision : pas besoin d'etre membre du club ou de payer quoique ce soit. Pas besoin dattendre la sortie des iso su les ftp publics !

Supposons que vous possédez la 10.0 :

J'ai modifié ce post pour que ce soit plus clair.

-sauvegardez vos données personelles (étape indispensable ! )

-lancez un terminal

-loguez vous en root : su

-configurez les nouvelles sources en choisissant official 10.1 : http://easyurpmi.zarb.org/

-tapez : urpmi urpmi

-tapez : urpmi --auto-select

-selon votre connexion, attendez entre quelques minutes (pour les dégroupés) et quelques heures (pour les autres)... que tout se télécharge.

-vous êtes en 10.1 official

Share this post


Link to post
Share on other sites

hummm c'est bien ca, bon c'etait pas bien difficile a deviner mais c'est bien ^^

au fait ca installe KDE 3.3 ou seulement la 3.2.3?

Share this post


Link to post
Share on other sites

A yest je suis en official 10.1 !

Linux localhost 2.6.8.1-12mdk #1 Fri Oct 1 12:53:41 CEST 2004 i686 AMD Athlon XP 2500+ unknown GNU/Linux

J'ai quand même du passer par lynx pour télécharger les drivers ATI ( :chinois: ) car apparemment passer de Xfree à Xorg ça n'a pas plus à ma carte qui refusait de lancer X (ou plutôt X se bloquait). J'imagine que c'est encore une spécificité des ATI...

-Je vous conseille de télécharger, avant d'effectuer la mise à jour, le driver pour Xfree à partir du site de ATI et de le placer dans votre répertoir perso.

-Si vous rencontrez des problèmes (X ne se lance pas) après avoir installé la mise à jour :

-rendez vous dans le repertoir où vous avez téléchargé le driver.

-rpm -Uvh --force fglrx... . rpm (le --force est important si vous n'avez pas pris la peine comme moi de désinstaller les anciens drivers ATI configurés pour la 10.0 )

-tapez : fglrxconfig

-suivez les insctructions, et ça fonctionne.

Tout ce que j'ai perdu depuis mon passage à la 10.1 c'est le plug in flash pour firefox (j'ai installé la RC donc c'est normal, ça va se regler...)

Sinon, à part son lot de correction de bugs & mises à jour des rpms/lib etc... vous ne serez pas dépaysé.

KDE 3.3 est en option pour les membres du club. On devrai bientôt le trouver sur le net pour nous, les non membres

:dors:

Share this post


Link to post
Share on other sites

Pour les drivers ati, suffit de les prendre avant ou de faire un wget url non? Je vois pas l'utilité de lynx :chinois:

Sinon j'espère que pour une fois, il y aura des packages officiels pour kde 3.3 et non pas des provenant de la communauté...

N'ayant pas d'ATI, c'est juste pour savoir:

-rpm -Uvh --force fglrx... . rpm (le --force est important)

Pourquoi un --force? si tu désinstalles et réinstalles par après ça marche pas? Comme les nVidia quand tu changes de kernel, tu déinstalles et après, hop install et goal :)

PS: sur ma 10.0 Official, je suis en 2.6.9 :mdr: supermount perdu pas grave, même mieux :dors:

Share this post


Link to post
Share on other sites
Pour les drivers ati, suffit de les prendre avant ou de faire un wget url non? Je vois pas l'utilité de lynx :chinois:

Sinon j'espère que pour une fois, il y aura des packages officiels pour kde 3.3 et non pas des provenant de la communauté...

N'ayant pas d'ATI, c'est juste pour savoir:

Pourquoi un --force? si tu désinstalles et réinstalles par après ça marche pas? Comme les nVidia quand tu changes de kernel, tu déinstalles et après, hop install et goal :)

PS: sur ma 10.0 Official, je suis en 2.6.9  :8 supermount perdu pas grave, même mieux :mdr:

j'ai utilisé lynx car j'avais plus x mais le plus simple reste evidemment de telecharger AVANT (et plus sage aussi :yes: ) sinon moi je ne désinstalle pas les drivers, j'ecrase les anciens c'est plus bourrin :D (et puis il commençait à m'ennuyer avec des problèmes de conflits... marre à la fin ! :non: )

et ça ça va mieux ? : cat /etc/issue

[root@localhost tram]# cat /etc/issue

Mandrakelinux release 10.1 (Official) for i586

:dors:

Share this post


Link to post
Share on other sites

pour kde si c'est la version 3.3 faut mieux pas la prendre , et attendre les paquets pour la 3.3.1

elle est pas trop stable

Share this post


Link to post
Share on other sites

pour le coup de lynx, c'est pour cette raison que sur le site de nvidia, les liens vers les drivers linux n'est pas seulement dans les "forms"... mais un vrai lien... :keskidit:

Share this post


Link to post
Share on other sites

enfin bon c'est pas bien grave, hormis dans la changelist qui doit etre plutot longue comme amelioration tangible y'a quoi?

EDIT: c'est tres long la mise a jour malgré un adsl 1024 au taquet... :keskidit:

Share this post


Link to post
Share on other sites

Salut :)

Bien que je fasse urpmi auto-select, il me demande de choisir en tre plein de rpm dont j'ai jamais entendu parler !

Etant debutant en la matiere, je prefer guetter le torrent sur divers site et gravé le tout :)

Merci pour cette manip' cela pourra être utile pour la prochaine fois :)

Share this post


Link to post
Share on other sites

moi il m'a demandé de choisir entre 4 progs apparement fait pour les emails j'ai choisit le n°4 et ca s'est fait tout seul!

par contre prevoit du temps devant toi ca te prendra au moins 2h pour faire ca...

Share this post


Link to post
Share on other sites

Ta eu des blèmes niveau carte GFX ? j'avoue que j'ai vachement peur de me retrouver avec un linux en mode texte :francais: (j'ai une ATI..debutant powaa)

Share this post


Link to post
Share on other sites

non ca a modifier qq broutille au niveau de l'interface et ca m'a dereglé qq petites choses sur mozilla mais c'est tout!

Share this post


Link to post
Share on other sites
Si vous avez des problèmes avec ATI + affichage :

-Lancez lynx

-entrez l'URL de téléchargement du rpm (allez sur le site de ATI à partir d'un autre ordinateur ou notez l'URL exact avant, car je n'ai pas réussi à me deplacer sur le site de ATI avec lynx... donc c'est plus dur de trouver le driver...)

-une fois le rpm téléchargé, rendez vous dans le repertoir où vous l'avez téléchargé (en général ~ )

-rpm -Uvh --force fglrx... . rpm (le --force est important)

-tapez : fglrxconfig

-suivez les insctructions, et ça fonctionne.

d'accord, c'est tramway qui a écrit ça mais quand même il a répondu à ta question avant que tu ne la soulèves Tortue Géniale...

Share this post


Link to post
Share on other sites
Ta eu des blèmes niveau carte GFX ? j'avoue que j'ai vachement peur de me retrouver avec un linux en mode texte :incline: (j'ai une ATI..debutant powaa)

ben tu passe ton driver de X en "vga"... ensuite tu met à jour... et tu réinstalle les drivers...

Share this post


Link to post
Share on other sites

Yes merci ! :) Je'ai pas eu de problème :) Il ma juste fallu refaire un "eagleconfig" pour redemarrer le net.

Sinon dans Easy Urpmi, evitez de choisir le serveur Ens-Cachan, bien qu'il soit rapide (comparé à Proxad...) il manque des rpms necessaire pour finir la transition ! J'ai donc choisi fr2-rpm2find avec lequel j'ai pu finir de télécharger les rpms manquants :)

Share this post


Link to post
Share on other sites

Salut,

Merci pour cette méthode, je viens de migrer ma Mandrake 10.0 official vers la 10.1 official et c'est trop nickel.

Cela a duré quelques heures le temps de télécharger environ 650 RPM :francais:

La seule chose c'est que je suis encore sous l'ancien noyau 2.6.3-7

Pourtant quand je regarde dans /usr/src j'ai bien le répertoire linux-2.6.8.1-12mdk

Est-ce qu'il faut faire une manip particulière pour changer de noyau ?J'ai regardé quelques tutos sur la migration de noyau mais je débute sous Linux et j'hésite à me lancer.

@+ :francais:

Share this post


Link to post
Share on other sites

faut voir si ton kernel est installé ou non? apparement oui, donc, faut surement modifier les entrées dans lilo (ou grub). Il y a un topic dédié sur les bootloader ici mais l'url, bonne question...

Share this post


Link to post
Share on other sites

déjà es tu sur que quand lilo se lance (si t uas choisi lilo, ou sinon grub) il n'y pas d'entrée 2.6.8.1 ou approchant ?

Share this post


Link to post
Share on other sites

Ha vi moi aussi j'ai un dossier /usr/src/linux-2.6.8.1-12mdk ! Je ne l'avais pas remarqué :youhou:

Ayant un peu regardé le lilo.conf je pense que c'est là qu'il faut voir pour un eventuel boot sur ce kernel. Mais comme dargas, j'hesite à me lancer :D

J'ai hate de me prendre un nouveaux DD pour pouvoir sauvegarder mes donnés importantes et foutre le boxon sur ma distro !!!

Share this post


Link to post
Share on other sites

houlà les jeunes!!! avant de booter sur un noyau, faudrait p'tet le compiler, non :D

le dossier /usr/src/linux -2.6.x comme son nom l'indique ne contient que des sources, en l'ocurence, les source du noyau, donc si vous voulez jouir du dernier noyau, il faut le compiler et se lancer dans l'excellent tuto PCI sur la question :youhou:

Ah oui, on ne le dit jamais assez : n'ecrasez pas votre ancien noyau, ni votre ligne de lilo/grub vous permettant de booter dessus, ça peut vous sauver la vie... :D

Share this post


Link to post
Share on other sites

:youhou: Jme demanddai qu'est ce qu'il pouvait bien faire le "makefile" au milieu.

Bon...mais qu'est ce qu'il est top mon 2.6.3-7 :D:D !!!

Share this post


Link to post
Share on other sites

Non, tu n'es pas obligé de compiler toit même ton noyau, l'avantage avec la mise a jour via urpmi c'est que ça t'installe tout tout seul tu n'as donc pas du tout à compiler quelque chose. Si tu devais compiler à la main ton noyau urpmi perdait pratiquement totu intéret :eeek:

En ce qui me concerne, un coup d'urpmi et j'avais une nouvelle entrée dans lilo avec le 2.6.8 tout pret

Share this post


Link to post
Share on other sites

×
×
  • Create New...